Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.util
Class DailyScheduleImpl

    java.lang.Object
      com.sun.management.oss.impl.pm.util.DailyScheduleImpl

All Implemented Interfaces:
  java.lang.Cloneable, DailySchedule, java.io.Serializable

public class DailyScheduleImpl
extends java.lang.Object
implements DailySchedule

Title: JSR090 Reference Implementation Description: Copyright: Copyright 2001 Ericsson Radio Systems AB Company: Ericsson

Version:
  0.2
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi
See Also:
  Serialized Form

Constructor Summary
`DailyScheduleImpl()`

Method Summary
`java.lang.Object` | `clone()` Deep copy of this instance.
`java.util.Calendar[]` | `getStartTimes()` Returns the start times when the daily schedule shall be active.
`java.util.Calendar[]` | `getStopTimes()` Returns the stop times when the daily schedule shall not be active.
`boolean` | `isActive()` Checks if the schedule is active or not.
`void` | `setStartTimes(java.util.Calendar[] start)` Sets the start times when the daily schedule shall be active.
`void` | `setStopTimes(java.util.Calendar[] stop)` Sets the stop times when the daily schedule shall not be active.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DailyScheduleImpl

    public DailyScheduleImpl()

Method Detail

### clone

    public java.lang.Object clone()

  Description copied from interface: `DailySchedule`
  Deep copy of this instance.

  Specified by:
    `clone` in interface `DailySchedule`

### isActive

    public boolean isActive()

  Checks if the schedule is active or not.

  If the current time is within the defined schedule this method will return true. If the current time is outside the schedule false will be returned.

  The check will use the following fields in the Calendar:
  - Calendar.HOUR_OF_DAY,
  - Calendar.MINUTE,
  - Calendar.SECOND
  and the time zone. Other fields will be ignored.

  Specified by:
    `isActive` in interface `DailySchedule`
  Returns:
    boolean Returns true if the schedule is active, else false.

### getStartTimes

    public java.util.Calendar[] getStartTimes()

  Returns the start times when the daily schedule shall be active.

  Specified by:
    `getStartTimes` in interface `DailySchedule`
  Returns:
    java.util.Calendar[] Array of start times the daily schedule shall be active.
  See Also:
    `DailySchedule.setStartTimes(java.util.Calendar[])`

### setStartTimes

    public void setStartTimes(java.util.Calendar[] start)

  Sets the start times when the daily schedule shall be active.

  Specified by:
    `setStartTimes` in interface `DailySchedule`
  Parameters:
    `start` - Array of start times which defines when the daily schedule shall be active.
  See Also:
    `DailySchedule.getStartTimes()`

### getStopTimes

    public java.util.Calendar[] getStopTimes()

  Returns the stop times when the daily schedule shall not be active.

  Specified by:
    `getStopTimes` in interface `DailySchedule`
  Returns:
    java.util.Calendar[] Array of stop times the daily schedule shall not be active.
  See Also:
    `DailySchedule.setStopTimes(java.util.Calendar[])`

### setStopTimes

    public void setStopTimes(java.util.Calendar[] stop)

  Sets the stop times when the daily schedule shall not be active.

  Specified by:
    `setStopTimes` in interface `DailySchedule`
  Parameters:
    `stop` - Array of stop times which defines when the daily schedule shall not be active.
  See Also:
    `DailySchedule.getStopTimes()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD